# Uses of Class
net.minestom.server.extras.selfmodification.HierarchyClassLoader

Packages that use HierarchyClassLoader
Package
Description
de.geolykt.starloader.launcher
Package for launcher-specific classes.
net.minestom.server.extras.selfmodification

## Uses of HierarchyClassLoader in de.geolykt.starloader.launcher

Fields in de.geolykt.starloader.launcher with type parameters of type HierarchyClassLoader
Modifier and Type
Field
Description
`final org.stianloader.micromixin.transform.api.MixinTransformer<HierarchyClassLoader>`
ASMMixinTransformer.`transformer`
Constructor parameters in de.geolykt.starloader.launcher with type arguments of type HierarchyClassLoader
Modifier
Constructor
Description
``
`ASMMixinTransformer(org.stianloader.micromixin.transform.api.MixinTransformer<HierarchyClassLoader> transformer)`

## Uses of HierarchyClassLoader in net.minestom.server.extras.selfmodification

Subclasses of HierarchyClassLoader in net.minestom.server.extras.selfmodification
Modifier and Type
Class
Description
`class`
`MinestomExtensionClassLoader`
`class`
`MinestomRootClassLoader`
Class Loader that can modify class bytecode when they are loaded.
Fields in net.minestom.server.extras.selfmodification with type parameters of type HierarchyClassLoader
Modifier and Type
Field
Description
`protected final List<HierarchyClassLoader>`
HierarchyClassLoader.`parents`